%define module_name	ofa
%define module_version	1.4.2
%define module_release	alt1

%define kversion	2.6.27
%define krelease	alt0.M41.1
%define flavour		hpc-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease

%define _unpackaged_files_terminate_build 1

Summary: Infiniband Driver and ULPs kernel modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.0.M41.1

Url: http://openfabrics.org/
License: Dual: GPL or BSD
Group: System/Kernel and hardware
Patch: 2.6.29.patch

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


Prereq:         kernel-image-%flavour = %kversion-%krelease

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
BuildRequires: kernel-source-ofa%module_version = %module_version
ExclusiveArch: %ix86 x86_64

%description 
Core, HW and ULPs kernel modules

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name%module_version-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name%module_version-%module_version
./configure \
	--kernel-version=%kversion-%flavour-%krelease \
	--kernel-sources=%_usrsrc/linux-%kversion-%flavour-%krelease/ \
	--modules-dir=/lib/modules/%kversion-%flavour-%krelease/openfabrics \
	--with-core-mod --with-ipoib-mod --with-ipoib-cm --with-sdp-mod \
	--with-srp-mod --with-user_mad-mod --with-user_access-mod \
	--with-addr_trans-mod --with-mlx4-mod \
	--with-mlx4_core-mod --with-mlx4_inf-mod \
	--with-rds-mod --with-madeye-mod --with-vnic-mod 
#patch -p1

%build
%make_build SUBARCH=x86

%install
make install DESTDIR=%buildroot SUBARCH=x86

%post 
%post_kernel_modules %kversion-%flavour-%krelease

%postun 
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir/*

%changelog
* Wed Dec 30 2009 Michail Yakushin <silicium@altlinux.ru> 1.4.2-alt1.132635.0.M41.1
- Build for kernel-image-hpc-def-2.6.27-alt0.M41.1.

* Wed Dec 30 2009 Michail Yakushin <silicium@altlinux.ru> 1.4.2-alt1
- 1.4.2 

* Mon May 04 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org) 1.4-alt1
- ofa_kernel-1.4-ofed1.4

* Fri Sep 26 2008 Michail Yakushin <silicium@altlinux.ru> 1.3.1-alt1
- 20080603-0200

* Wed Jun 18 2008 Michail Yakushin <silicium@altlinux.ru> 1.2.5.4-alt1
- intial build  

